curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/currencies/list \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '{}'import requests
url = "https://app.cryptoprocessing.com/api/v2/currencies/list"
payload = {}
headers = {
"X-Processing-Signature": "<x-processing-signature>",
"X-Processing-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Processing-Signature': '<x-processing-signature>',
'X-Processing-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.cryptoprocessing.com/api/v2/currencies/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "crypto",
"currency": "BTC",
"minimum_amount": "0.00010000",
"minimum_withdrawal_amount": "0.00020000",
"deposit_confirmations": 1,
"deposit_fee_percent": "0.000700",
"withdrawal_fee_percent": "0.010000",
"precision": 8
},
{
"id": 5,
"type": "crypto",
"currency": "ETH",
"minimum_amount": "0.00200000",
"minimum_withdrawal_amount": "0.00200000",
"deposit_confirmations": 10,
"deposit_fee_percent": "0.010000",
"withdrawal_fee_percent": "0.000000",
"precision": 8
},
{
"id": 87,
"type": "crypto",
"currency": "USDC",
"minimum_amount": "5.00000000",
"minimum_withdrawal_amount": "5.00000000",
"deposit_confirmations": 10,
"deposit_fee_percent": "0.010000",
"withdrawal_fee_percent": "0.000000",
"precision": 8
}
]
}List supported currencies
Get a list of supported currencies in the environment, minimum deposit amounts, and deposit and withdrawal fees.
Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Both an empty JSON object ({}) and a completely empty (zero-byte) body are accepted to list all supported currencies. Content-Type: application/json is still required if you send {} — but if the body is truly empty (zero bytes), Content-Type isn't checked at all (it can be omitted or set to any value). Include visible to filter by Balances tab visibility.
Filters currencies by their visibility on the Balances tab of the portal.
truereturns currencies that are enabled for the merchant account and visible on the Balances tab.falsereturns currencies that are enabled for the merchant account but hidden from the Balances tab.
There's no single request that returns all currencies enabled for the merchant account directly — combine the results of a true call and a false call to get that full list.
If omitted, all supported currencies are returned, regardless of whether they are enabled or disabled, or visible or hidden on the Balances tab.
Response
OK
Hide child attributes
Hide child attributes
Currency ID.
Currency type (crypto or fiat).
crypto, fiat Currency code.
The minimum deposit amount for this currency.
The minimum withdrawal amount for this currency.
The fee that is charged for deposits in this currency, in percentage of the deposit amount.
The fee that is charged for withdrawals in this currency, in percentage of the withdrawal amount.
The number of decimal places.
The number of confirmations required before a deposit is credited. Omitted for fiat currencies.
For some cryptocurrencies, smaller amount deposits may require less confirmations than returned by the API before the funds are credited. See Confirmations and limits for the number of confirmations required in such cases.
Was this page helpful?